Debian Bug report logs - #598922
libdpkg-perl: should strip repeated non-significant spaces

version graph

Package: libdpkg-perl; Maintainer for libdpkg-perl is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for libdpkg-perl is src:dpkg.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sun, 3 Oct 2010 09:15:04 UTC

Severity: normal

Fixed in version dpkg/1.16.0

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598922; Package apt. (Sun, 03 Oct 2010 09:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, APT Development Team <deity@lists.debian.org>. (Sun, 03 Oct 2010 09:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt-cache showsrc prints too many spaces
Date: Sun, 03 Oct 2010 11:10:58 +0200
Package: apt
Version: 0.8.5
Severity: normal

Hi,

one can span fields like Uploaders on multiple lines, using several
spaces to align everything, which is what evolution-mapi people did:
| Uploaders: Heikki Henriksen <heikkih@gmail.com>,
|            Lawrence Walton <lawrence@the-penguin.otak.com>,
|            Loic Minier <lool@dooz.org>,
|            Oystein Gisnas <oystein@gisnas.net>,
|            Josselin Mouette <joss@debian.org>,
|            Jelmer Vernooij <jelmer@debian.org>,
|            Yves-Alexis Perez <corsac@debian.org>,
|            David Weinehall <tao@debian.org>

But it looks like apt-cache showsrc almost display them as-is, that is
just stripping newlines:
| Uploaders: Heikki Henriksen <heikkih@gmail.com>,           Lawrence Walton <lawrence@the-penguin.otak.com>,           Loic Minier <lool@dooz.org>,           Oystein Gisnas <oystein@gisnas.net>,           Josselin Mouette <joss@debian.org>,           Jelmer Vernooij <jelmer@debian.org>,           Yves-Alexis Perez <corsac@debian.org>,           David Weinehall <tao@debian.org>

Mraw,
KiBi.

-- (no /etc/apt/preferences present) --
-- (/etc/apt/sources.list present, but not submitted) --

-- System Information:
Debian Release: sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages apt depends on:
ii  debian-archive-keyring  2010.08.28       GnuPG archive keys of the Debian a
ii  gnupg                   1.4.10-4         GNU privacy guard - a free PGP rep
ii  libc6                   2.11.2-6         Embedded GNU C Library: Shared lib
ii  libgcc1                 1:4.4.4-16       GCC support library
ii  libstdc++6              4.4.4-16         The GNU Standard C++ Library v3
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

apt recommends no packages.

Versions of packages apt suggests:
pn  apt-doc                     <none>       (no description available)
ii  aptitude                    0.6.3-3.1    terminal-based package manager (te
ii  bzip2                       1.0.5-6      high-quality block-sorting file co
ii  dpkg-dev                    1.15.8.5     Debian package development tools
ii  lzma                        4.43-14      Compression method of 7z format in
ii  python-apt                  0.7.97.1     Python interface to libapt-pkg
ii  synaptic                    0.70~pre1+b1 Graphical package manager

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598922; Package apt. (Sun, 03 Oct 2010 10:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sun, 03 Oct 2010 10:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 598922@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 598922@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#598922: apt-cache showsrc prints too many spaces
Date: Sun, 03 Oct 2010 12:00:06 +0200
reassign 598922 dpkg-dev
thanks

On So, 2010-10-03 at 11:10 +0200, Cyril Brulebois wrote:
> Package: apt
> Version: 0.8.5
> Severity: normal
> 
> Hi,
> 
> one can span fields like Uploaders on multiple lines, using several
> spaces to align everything, which is what evolution-mapi people did:
> | Uploaders: Heikki Henriksen <heikkih@gmail.com>,
> |            Lawrence Walton <lawrence@the-penguin.otak.com>,
> |            Loic Minier <lool@dooz.org>,
> |            Oystein Gisnas <oystein@gisnas.net>,
> |            Josselin Mouette <joss@debian.org>,
> |            Jelmer Vernooij <jelmer@debian.org>,
> |            Yves-Alexis Perez <corsac@debian.org>,
> |            David Weinehall <tao@debian.org>
> 
> But it looks like apt-cache showsrc almost display them as-is, that is
> just stripping newlines:
> | Uploaders: Heikki Henriksen <heikkih@gmail.com>,           Lawrence Walton <lawrence@the-penguin.otak.com>,           Loic Minier <lool@dooz.org>,           Oystein Gisnas <oystein@gisnas.net>,           Josselin Mouette <joss@debian.org>,           Jelmer Vernooij <jelmer@debian.org>,           Yves-Alexis Perez <corsac@debian.org>,           David Weinehall <tao@debian.org>
> 

The newlines are stripped by dak or dpkg, they are not in the Sources
file and APT just displays the sources entry as it. Furthermore, Policy
does not state that whitespace should be ignored, only the newlines; so
this behavior is correct.

The following steps seem to be needed to change this:
     1. Change Policy 5.6.3 to ignore multiple whitespace after newline
     2. Strip the whitespace in dpkg

But as this is not an APT bug, I am reassigning it to dpkg-dev and let
them decide what to do next.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.






Bug reassigned from package 'apt' to 'dpkg-dev'. Request was from Julian Andres Klode <jak@debian.org> to control@bugs.debian.org. (Sun, 03 Oct 2010 10:03:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions apt/0.8.5. Request was from Julian Andres Klode <jak@debian.org> to control@bugs.debian.org. (Sun, 03 Oct 2010 10:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#598922; Package dpkg-dev. (Sun, 03 Oct 2010 22:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sun, 03 Oct 2010 22:21:03 GMT) Full text and rfc822 format available.

Message #19 received at 598922@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Julian Andres Klode <jak@debian.org>
Cc: Cyril Brulebois <kibi@debian.org>, 598922@bugs.debian.org
Subject: Re: Bug#598922: apt-cache showsrc prints too many spaces
Date: Sun, 03 Oct 2010 15:19:14 -0700
Julian Andres Klode <jak@debian.org> writes:

> The newlines are stripped by dak or dpkg, they are not in the Sources
> file and APT just displays the sources entry as it. Furthermore, Policy
> does not state that whitespace should be ignored, only the newlines; so
> this behavior is correct.

That's a bug in Policy which we'll fix (and are already discussing).

> The following steps seem to be needed to change this:
>      1. Change Policy 5.6.3 to ignore multiple whitespace after newline

Not just after newline.  All whitespace is equivalent to a single space
anywhere in any folded field.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Changed Bug title to 'libdpkg-perl: should strip repeated non-significant spaces' from 'apt-cache showsrc prints too many spaces' Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 04:24:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'dpkg-dev' to 'libdpkg-perl'. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 04:24:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 24 Mar 2011 14:51:06 GMT) Full text and rfc822 format available.

Message sent on to Cyril Brulebois <kibi@debian.org>:
Bug#598922. (Thu, 24 Mar 2011 14:51:09 GMT) Full text and rfc822 format available.

Message #28 received at 598922-submitter@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 598922-submitter@bugs.debian.org
Subject: Bug#598922 marked as pending
Date: Thu, 24 Mar 2011 14:48:31 +0000
tag 598922 pending
thanks

Hello,

Bug #598922 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=84e9322

---
commit 84e9322448b3b9b227d80b667ef1274452d6fb3e
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Mar 24 15:45:22 2011 +0100

    dpkg-source: strip spaces around newlines in Uploaders

diff --git a/debian/changelog b/debian/changelog
index dbac46e..e6caf76 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -96,6 +96,8 @@ dpkg (1.16.0) UNRELEASED; urgency=low
     It contains a list of packages that the source can build along with
     their sections and priorities. Closes: #619131
   * Remove duplicate word in german translation of dpkg(1). Closes: #616096
+  * Strip repeated non-significant spaces before and after newlines
+    in Uploaders. Closes: #598922
 
   [ Jonathan Nieder ]
   * Remove support for use of synchronous sync(2), due to its pernicious




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sat, 02 Apr 2011 04:21:18 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sat, 02 Apr 2011 04:21:18 GMT) Full text and rfc822 format available.

Message #33 received at 598922-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 598922-close@bugs.debian.org
Subject: Bug#598922: fixed in dpkg 1.16.0
Date: Sat, 02 Apr 2011 04:17:19 +0000
Source: dpkg
Source-Version: 1.16.0

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.16.0_all.deb
  to main/d/dpkg/dpkg-dev_1.16.0_all.deb
dpkg_1.16.0.dsc
  to main/d/dpkg/dpkg_1.16.0.dsc
dpkg_1.16.0.tar.bz2
  to main/d/dpkg/dpkg_1.16.0.tar.bz2
dpkg_1.16.0_amd64.deb
  to main/d/dpkg/dpkg_1.16.0_amd64.deb
dselect_1.16.0_amd64.deb
  to main/d/dpkg/dselect_1.16.0_amd64.deb
libdpkg-dev_1.16.0_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.16.0_amd64.deb
libdpkg-perl_1.16.0_all.deb
  to main/d/dpkg/libdpkg-perl_1.16.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598922@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 01 Apr 2011 23:56:54 +0200
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.16.0
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 31141 97076 397121 476335 483119 591858 594179 596841 598922 600854 604914 605719 606080 608829 611741 612203 612465 612472 613023 616096 616502 617923 619311 619541 620380
Changes: 
 dpkg (1.16.0) unstable; urgency=low
 .
   [ Guillem Jover ]
   * Use DPKG_MAINTSCRIPT_PACKAGE environment variable as package name on
     dpkg-divert when no --package or --local options have been specified.
   * Do not allow versions starting with non-digit when doing strict parsing,
     warn otherwise.
   * Update dpkg(1) to note that --status-fd output does not contain newlines
     in error messages anymore (this was fixed in 1.15.0).
   * Add a new --status-logger option to dpkg, similar to --status-fd but
     instead invoke the command ourselves and feed the status information
     to its standard input. Suggested by Raphaël Hertzog.
   * Add missing space in update-alternative --set-selections output.
   * Add missing options to update-alternative --help output.
   * Count “conffile name is duplicated” for dpkg-deb warning count summary.
   * Improve and clarify strings for translation. Closes: #604914
   * Prefix all fatal error messages with “error: ”.
   * Do not check presence of update-rc.d in the PATH in dpkg, as it's not
     a program needed for dpkg correct operation.
   * Fix dpkg -GEO options on multiple versions of the same packages.
     Closes: #31141
   * Propagate --admindir to programs run from maintainer scritpts.
     Closes: #97076
   * Do not fail when trying to remove the root directory. This will only
     happen either on distributions where dpkg is a foreign package manager,
     or on artificial dpkg databases.
   * Always warn when parsing any package control data which does not have
     an Architecture field except for status and status log files when
     packages are not-installed or half-installed.
   * By default reject installing packages w/o an Architecture field. They
     now need --force-architecture, dpkg will still warn about them though.
   * Fix build failure when passing --disable-nls to configure.
   * Do not segfault on “dpkg -i --no-act”.
   * Add missing semicolon to the vsnprintf() compat declaration.
     Thanks to Robert Millan. Closes: #612203
   * On install for Ubuntu adjust the i386 GNU cpu name in cputable.
     Thanks to Colin Watson <cjwatson@ubuntu.com>. Closes: #611741
   * Sync the info database directory on unpack instead of the temporary
     control information directory, and print the correct pathname on error
     instead of the last file acted on that directory.
   * Document in dpkg-query --help output and man page that --list and --show
     arguments are optional.
   * Do not read and write the available file unnecessarily.
     Thanks to Michel Lespinasse <walken@zoy.org>. Closes: #397121
   * Fix typo in «dpkg-name --overwrite» argument parsing so that it actually
     works at all. Thanks to Ivan Gagis <igagis@gmail.com>. LP: #728708
   * Add armhf support to ostable and triplettable. Closes: #594179
   * Set the modification time for unpacked symlinks on supported systems.
   * Fix undefined value useage in dpkg-genchanges when adding files w/o a
     matching architecture, because they are not present in debian/control,
     this is most commonly the case due to dpkg-distaddfile.
   * Terminate immediately on dpkg-divert rename errors instead of propagating
     up the error codes, this improves error reporting and avoids triggering
     leak detectors. Closes: #620380
   * When moving a diverted file across filesystems in dpkg-divert, remove
     the source file.
 .
   [ Raphaël Hertzog ]
   * Fail properly when debian/source/format is empty. Closes: #600854
   * Add new deb-src-control(5) manual page documenting the debian/control
     file contained in source packages.
     - it documents the X[SBC]- prefix. Closes: #476335
     - it documents the VCS-* fields too. Closes: #483119
     Thanks to Oxan van Leeuwen <oxan@oxanvanleeuwen.nl> who wrote it
     as part of the Google Code In program.
   * Enhance dpkg-shlibdeps to not fail immediatly when a library is not found.
     Instead continue and fail after all problems have been reported. Thanks
     to Chris Baines <cbaines8@gmail.com> for the patch. Closes: #596841
   * Fix dpkg-source to not list Debian packaging files as modified
     upstream files in Format "1.0" when unpacking to a non-standard
     directory.
   * Apply patch from Colin Watson to let dpkg-buildflags return -O3
     instead of -O2 when building ppc64 packages on Ubuntu. Closes: #612472
   * Add new function get_control_path() to Dpkg::Path, it wraps dpkg-query
     --control-path.
   * Update dpkg-shlibdeps to be multiarch-ready:
     - use get_control_path() to find symbols/shlibs files
     - parse correctly the output of dpkg --search
   * Small fix to support files >2GB in .deb on 64-bit systems. Closes: #616502
     Thanks to Martin Dorey <mdorey@bluearc.com> for the patch.
   * dpkg-source now keeps the file ordering in the autogenerated patch when
     regenerating it. Closes: #606080
     Thanks to Colin Watson for the patch.
   * dpkg-source now uses a timestamp retrieved from the filesystem when
     resetting the timestamp of patched files so that a time skew when using
     NFS doesn't introduce any inconsistency. Closes: #613023
     Thanks to Jonathan Nieder <jrnieder@gmail.com> for the patch and the
     diagnosis.
   * dpkg-source will now remove quilt's .pc directory when --unapply-patches
     is in use. Closes: #591858
   * dpkg-source is now a bit less strict when parsing patches:
     - it accepts seeing the same file twice; Closes: #608829
     - it doesn't match on the English text "No newline at end of file" as it
       might be translated in some cases. Closes: #612465
   * Improve parser in Dpkg::Control::Hash to not require an empty line
     before the PGP signature. Closes: #617923
     Thanks to Roger Leigh for the initial patch.
   * Fix a regression in dpkg-divert where using --rename led to a failure when
     the rename implies crossing file systems. Thanks to Durk Strooisma for
     spotting it.
   * Use the correct mtime when installing a file with statoverrides.
     Regression introduced in 1.16.0. LP: #739179
   * Remove duplicate word in german translation of dpkg(1). Closes: #616096
   * Strip repeated non-significant spaces before and after newlines
     in Uploaders. Closes: #598922
   * Ignore whitespaces after options in headers of changelog entries.
     Closes: #605719
   * Fix dpkg-source's regression with empty patches (introduced while fixing
     #613023). Closes: #619541
 .
   [ Jonathan Nieder ]
   * Remove support for use of synchronous sync(2), due to its pernicious
     side-effects and to ease maintenance.
   * Clarify that an up-to-date dpkg only needs to be unpacked for
     dpkg-maintscript-helper to work.
 .
   [ Steve Langasek ]
   * Add new variables to dpkg-architecture, DEB_HOST_MULTIARCH and
     DEB_BUILD_MULTIARCH, that return the "ideal" GNU triplet for each
     architecture which should be used as the path component for library
     installation.
 .
   [ Mark Hymers ]
   * Add support for Built-Using field. Closes: #619311
 .
   [ Updated programs translations ]
   * German (Sven Joachim).
   * Portuguese (Miguel Figueiredo).
   * Spanish (Javier Fernandez-Sanguino).
   * Swedish (Peter Krefting).
 .
   [ Updated man page translations ]
   * German (Helge Kreutzmann).
   * Swedish (Peter Krefting).
 .
   [ Updated scripts translations ]
   * German (Helge Kreutzmann).
   * Swedish (Peter Krefting).
 .
   [ Updated dselect translations ]
   * Spanish (Javier Fernandez-Sanguino).
Checksums-Sha1: 
 ce2157f0050ae5307c0b3f867219e90eccea417f 1200 dpkg_1.16.0.dsc
 c5588cfa254ff0d698fc1eb7d9d11be9da235371 5321098 dpkg_1.16.0.tar.bz2
 68d767846ee0bd9a20d627ef3371c2c98c12e066 494608 libdpkg-dev_1.16.0_amd64.deb
 239a3d17163706530443fb847bb61703ac6e0c00 2230440 dpkg_1.16.0_amd64.deb
 59ad8d6ca4573c2bb85861472c9437ed23a0e77c 948708 dselect_1.16.0_amd64.deb
 64c9a96eb3caaf34d1d14f09c5c81c4826539da6 870310 dpkg-dev_1.16.0_all.deb
 24c2b86c3cb1867ae4ddf1e3c1a631ca73b8fe0d 746970 libdpkg-perl_1.16.0_all.deb
Checksums-Sha256: 
 dc45d4c80599fb4fb377caf497c003ef5fef8e1fcf0b0cba51bae457041c2554 1200 dpkg_1.16.0.dsc
 2536bd1493ba5de8d0914c30d6b83d4390013caa98580bd33a735cebe445004a 5321098 dpkg_1.16.0.tar.bz2
 1e1e7e02834b554932aa0b7ef48b3b2e982893011f7261629f19882a0271a1b3 494608 libdpkg-dev_1.16.0_amd64.deb
 0f7858e704d1e0dd8f7195921cb29d6e296ff71e4568cf6a99c9a89a62907670 2230440 dpkg_1.16.0_amd64.deb
 e068fa295a74e769407ab9230208a20c3385c9f978d130077a0a5b506e66e14b 948708 dselect_1.16.0_amd64.deb
 54603f6285f06b8f805394ed63c63aad3671e66c9385818361a89190ced55972 870310 dpkg-dev_1.16.0_all.deb
 10aa393491951ac72f6d8429974e7be5c62b52fbb10fe8437fceb274ce8a2b1c 746970 libdpkg-perl_1.16.0_all.deb
Files: 
 8aaddcf28fe29848e0839e4f49aa5b27 1200 admin required dpkg_1.16.0.dsc
 dc83fe7c1346a2a7bf78548306447c1d 5321098 admin required dpkg_1.16.0.tar.bz2
 700983a5d39442c66f07403f13afc3bb 494608 libdevel optional libdpkg-dev_1.16.0_amd64.deb
 7a243ebcc1618a0b7a1054c510459191 2230440 admin required dpkg_1.16.0_amd64.deb
 433d60711295f8c311c85a9d31020ac1 948708 admin optional dselect_1.16.0_amd64.deb
 6a049c453a6370cab4e0a8611ed0153e 870310 utils optional dpkg-dev_1.16.0_all.deb
 86124110a1596fddc34fff8fc29a15e8 746970 perl optional libdpkg-perl_1.16.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2WnHUACgkQuW9ciZ2SjJvVoQCdEWDb2Bi1NhycZk3sZ1Ak7ARE
kR4AoPHbIFD2mzngex1DGcFIKQ1CRXaH
=QKGg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 May 2011 07:41:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:12:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.